################################################################################
#
# EagleConsoleNoColor.ini --
#
# Extensible Adaptable Generalized Logic Engine (Eagle)
# Host Profile File (Monochrome Console)
#
# Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
#
# See the file "license.terms" for information on usage and redistribution of
# this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: $
#
################################################################################
#
# NOTE: To modify one of the default color values (below), simply uncomment the
#       line and change it to the color value of your choice.
#
#       The legal color values are:
#
#           Black,       DarkBlue,    DarkGreen,   DarkCyan,
#           DarkRed,     DarkMagenta, DarkYellow,  Gray,
#           DarkGray,    Blue,        Green,       Cyan,
#           Red,         Magenta,     Yellow,      White,
#           None
#
################################################################################

# ResourceBaseName = Library

# Debug = false
# Ellipsis = True
# ReplaceNewLines = True
# HistoryLimit = 3
# CallStackLimit = 20

# Profile =
# UseAttach = False
# NoColor = True
# NoTitle = True
# NoIcon = False
# NoProfile = False

# CanExit = True
# CanForceExit = True
# Exiting = False
# StreamFlags = Default

# DefaultTitle = <put window base title here>
# Title = <put window extra title here>

# Name = <put host name here>
# Description = <put host description here>

# BoxCharacterSet = 2
# BoxCharacterSets = "              " "┌┬┐─│├┼┤└┴┘ " "╔╦╗═║╠╬╣╚╩╝ "
# BoxWidth = 0

# OutputStyle = Formatted
# SectionsPerRow = 3
# ContentMargin = 2
# ContentWidth = -1
# ContentThreshold = 20

# VariableCallFrameSuffix =
# VariableCallFrameSeparator = *
# NullCallFrameTypeName = null
# VariableCallFrameTypeName = vars
# CurrentCallFrameTypeName = curr
# ProcedureCallFrameTypeName = proc
# NamespaceCallFrameTypeName = nmsp
# GlobalCallFrameTypeName = glob
# LambdaCallFrameTypeName = lamb
# UplevelCallFrameTypeName = uplv
# DownlevelCallFrameTypeName = dnlv
# TrackingCallFrameTypeName = trck
# NormalCallFrameTypeName = norm
# ScopeCallFrameTypeName = scop
# AliasCallFrameTypeName = alis
# UnknownCallFrameTypeName = unkn
# LinkedCallFrameTypeName = link
# OtherCallFrameTypeName = othr
# PreviousCallFrameTypeName = prev
# NextCallFrameTypeName = next

# StopPrompt = [stop]
# GoPrompt = [go]
# NameValueFormat = {0}: {1}
# HostLeft = 0
# HostTop = 0
# WindowWidth = 80
# WindowHeight = 25

# InputEncoding = utf-8

################################################################################
#                                GENERAL COLORS
################################################################################

BannerBackgroundColor = None
BannerForegroundColor = None

BoxBackgroundColor = None
BoxForegroundColor = None

DebugBackgroundColor = None
DebugForegroundColor = None

ErrorBackgroundColor = None
ErrorForegroundColor = None

DefaultBackgroundColor = None
DefaultForegroundColor = None

FooterBackgroundColor = None
FooterForegroundColor = None

HeaderBackgroundColor = None
HeaderForegroundColor = None

HelpBackgroundColor = None
HelpForegroundColor = None

HelpItemBackgroundColor = None
HelpItemForegroundColor = None

LegalBackgroundColor = None
LegalForegroundColor = None

OfficialBackgroundColor = None
OfficialForegroundColor = None

ResultBackgroundColor = None
ResultForegroundColor = None

TrustedBackgroundColor = None
TrustedForegroundColor = None

UnofficialBackgroundColor = None
UnofficialForegroundColor = None

UntrustedBackgroundColor = None
UntrustedForegroundColor = None

################################################################################
#                                SECTION COLORS
################################################################################

AnnouncementInfoBackgroundColor = None
AnnouncementInfoForegroundColor = None

ArgumentInfoBackgroundColor = None
ArgumentInfoForegroundColor = None

CallFrameInfoBackgroundColor = None
CallFrameInfoForegroundColor = None

CallStackInfoBackgroundColor = None
CallStackInfoForegroundColor = None

ComplaintInfoBackgroundColor = None
ComplaintInfoForegroundColor = None

ControlInfoBackgroundColor = None
ControlInfoForegroundColor = None

CustomInfoBackgroundColor = None
CustomInfoForegroundColor = None

DebuggerInfoBackgroundColor = None
DebuggerInfoForegroundColor = None

EngineInfoBackgroundColor = None
EngineInfoForegroundColor = None

EntityInfoBackgroundColor = None
EntityInfoForegroundColor = None

FlagInfoBackgroundColor = None
FlagInfoForegroundColor = None

HistoryInfoBackgroundColor = None
HistoryInfoForegroundColor = None

HostInfoBackgroundColor = None
HostInfoForegroundColor = None

InterpreterInfoBackgroundColor = None
InterpreterInfoForegroundColor = None

ObjectInfoBackgroundColor = None
ObjectInfoForegroundColor = None

TestInfoBackgroundColor = None
TestInfoForegroundColor = None

TokenInfoBackgroundColor = None
TokenInfoForegroundColor = None

TraceInfoBackgroundColor = None
TraceInfoForegroundColor = None

VariableInfoBackgroundColor = None
VariableInfoForegroundColor = None

################################################################################
#                               CALL FRAME COLORS
################################################################################

NullCallFrameForegroundColor = None
UnknownCallFrameForegroundColor = None
VariableCallFrameForegroundColor = None
CurrentCallFrameForegroundColor = None
ProcecureCallFrameForegroundColor = None
LambdaCallFrameForegroundColor = None
GlobalCallFrameForegroundColor = None
LinkedCallFrameForegroundColor = None
ScopeCallFrameForegroundColor = None
AliasCallFrameForegroundColor = None
UplevelCallFrameForegroundColor = None
DownlevelCallFrameForegroundColor = None
TrackingCallFrameForegroundColor = None

################################################################################
#                                 RESULT COLORS
################################################################################

OkResultForegroundColor = None
OkResultBackgroundColor = None

OtherOkResultForegroundColor = None
OtherOkResultBackgroundColor = None

OtherErrorResultForegroundColor = None
OtherErrorResultBackgroundColor = None

ErrorResultForegroundColor = None
ErrorResultBackgroundColor = None

ReturnResultForegroundColor = None
ReturnResultBackgroundColor = None

BreakResultForegroundColor = None
BreakResultBackgroundColor = None

ContinueResultForegroundColor = None
ContinueResultBackgroundColor = None

NullResultForegroundColor = None
NullResultBackgroundColor = None

EmptyResultForegroundColor = None
EmptyResultBackgroundColor = None

UnknownResultForegroundColor = None
UnknownResultBackgroundColor = None
